#theme {
  --primary-background-color: #000000;
  --primary-text-color: white;
  --secondary-text-color: white;
  --border-color: #ffffff;
  --navbar-color: #f3f5f7;
  --shadow-color: rgb(42, 42, 42);
  --notes-background: linear-gradient(145deg, #26282a, #191919);
  --predire-background-color: #191919;
  --noteInput-border-color: white;
  --noteInput-hover-border-color: rgb(255, 255, 255);
  --card-border-color: #7F636E;
  --card-background: linear-gradient(145deg, #26282a, #191919);
  --card-button-background-color: #219ebc;
  --text-color: white;
  --tooltip-text-color: #dbdbdb;
  transition: 0.3s !important;
}

#theme.light {
  --primary-background-color: white;
  --primary-text-color: black;
  --secondary-text-color: black;
  --border-color: black;
  --navbar-color: #f3f5f7;
  --shadow-color: rgba(118, 118, 118, 0.5);
  --notes-background: linear-gradient(145deg, #f3f5f7, #f3f5f7);
  --predire-background-color: #f3f5f7;
  --noteInput-border-color: black;
  --noteInput-hover-border-color: rgb(0, 0, 0);
  --card-border-color: #7F636E;
  --card-background: linear-gradient(145deg, #f3f5f7, #f3f5f7);
  --card-button-background-color: #219ebc;
  --text-color: black;
  --tooltip-text-color: #555555;
  transition: 0.3s !important;
}

@import url("https:fonts.googleapis.com/css2?family=Nunito:wght@200&family=Raleway:ital,wght@0,600;1,200&family=Roboto&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Dela+Gothic+One&family=Montserrat:ital,wght@0,400;1,100&display=swap');

html,
body {
  margin: 0;
  height: 100%;
  width: 100%;
  padding: 0;
  background-color: var(--primary-background-color);
  color: var(--primary-text-color);
  font-family: 'Montserrat', sans-serif;
}

.navbar {
  background-color: var(--navbar-color);
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50px;
  width: 100%;
  top: 0;
  box-shadow: 0px 3px 0px var(--shadow-color);
}

.navbar .title {
  font-size: 1rem;
  color: var(--primary-text-color);
  font-weight: 500;
}

.break {
  flex-basis: 100%;
  height: 0;
}

.container {
  margin-top: 20px;
  min-height: 500px;
  padding: 0 20px;
}

.notes {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 10px;
  padding: 20px;
  width: 192px;
  margin: 10px;
  background: var(--notes-background);
  border-radius: 22px;
  box-shadow: 6px 6px 0px var(--shadow-color);
}

.notes label {
  font-size: 0.9rem;
  color: var(--primary-text-color);
  font-weight: 500;
  text-align: center;
}

.notes input {
  background-color: transparent;
  border: 0px solid black;
  border-radius: 15px;
  text-align: center;
  margin-left: -3px;
  margin-top: -1px;
  color: var(--text-color);
}

.notes input:focus {
  outline: none;
}

.notes .notes-body {
  margin-top: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  gap: 10px;
}

.notes-body #lock {
  cursor: pointer;
}

.predire {
  box-shadow: 6px 6px 0px var(--shadow-color);
  margin: 10px;
  padding: 20px;
  background-color: var(--predire-background-color);
  cursor: pointer;
  color: var(--secondary-text-color);
  border: none;
  border-radius: 18px;
  transition: 0.5s;
  font-weight: 500;
  font-size: 1rem;
}

.predire:hover, .btn:hover {
  box-shadow: 0px 0px 0px var(--shadow-color);
  transform: translateY(6px) translateX(6px);
  transition: 0.5s;
}


.noteInput {
  position: relative;
  border-radius: 40px;
  width: 50px;
  height: 30px;
  border: 3px solid var(--noteInput-border-color);
  transition: 0.2s;
  user-select: none;
}

.noteInput:hover {
  border-radius: 40px;
  width: 80px;
  height: 30px;
  border: 3px solid var(--noteInput-hover-border-color);
}

.noteInput .next {
  position: absolute;
  right: 10px;
  display: block;
  width: 10px;
  height: 10px;
  border-top: 2px solid var(--border-color);
  border-left: 2px solid var(--border-color);
  top: 50%;
  z-index: 1;
  transform: translateY(-50%) rotate(135deg);
}

.noteInput:hover .next {
  opacity: 1;
  right: 10px;
}

.noteInput .prev {
  position: absolute;
  left: 10px;
  display: block;
  width: 10px;
  height: 10px;
  border-top: 2px solid var(--border-color);
  border-left: 2px solid var(--border-color);
  transform: translateY(-50%) rotate(315deg);
  top: 50%;
  z-index: 1;
}

.noteInput:hover .prev-btn {
  opacity: 1;
}

.prev-btn {
  position: absolute;
  z-index: 3;
  left: 0px;
  width: 25%;
  height: 100%;
  opacity: 0;
  transition: 0.3s;
}

.next-btn {
  position: absolute;
  z-index: 3;
  right: 0px;
  width: 25%;
  height: 100%;
  opacity: 0;
  transition: 0.3s;
}

.noteInput:hover .next-btn {
  opacity: 1;
}

.noteInput .box {
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
  text-align: center;
  line-height: 32px;
  font-weight: 500;
}

.card {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 20px;
  width: 192px;
  margin: 1rem;
  background: var(--card-background);
  border-radius: 25px;
  box-shadow: 6px 6px 0px var(--shadow-color);
}

.card button {
  margin: 5px;
  border: none;
  border-radius: 18px;
  padding: 12px;
  background-color: var(--card-button-background-color);
  color: var(--primary-text-color);
  cursor: pointer;
  transition: 0.3s;
}

.card button:hover {
  box-shadow: 0px 0px 6px rgba(21, 21, 21, 0.264);
}

.class-list {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

.form {
  position: relative;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.btn {
  cursor: pointer;
  transition: 0.5s;
}

.share-btn {
  cursor: pointer;
  position: absolute;
  right: 10px;
  top: 10px;
}

.copy-message {
  background: var(--notes-background);
  color: var(--primary-text-color);
  padding: 0 10px 0 10px;
  border-radius: 12px;
  opacity: 0;
  position: absolute;
  bottom: 15px;
  right: 24px;
}

.show {
  display: block !important;
  opacity: 1;
  animation: fade-in 0.3s ease-in-out;
}

@keyframes fade-in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fade-out {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.hide {
  animation: fade-out 0.3s ease-in-out;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.tooltip {
  max-width: 35%;
  text-align: center;
  padding: 1rem;
}

.tooltiptext {
  position: relative;
  display: inline-block;
  font-size: 0.8rem;
  color: var(--tooltip-text-color);
}

.theme-switch {
  position: absolute;
  right: 10px;
  top: 10px;
  cursor: pointer;
  border: none;
  background: none;
}